Package org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver

# Class FallbackClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver.FallbackClient

@RequestScoped public class FallbackClient extends Object
A client to demonstrate the fallback after doing the maximum retries

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`FallbackClient()`

## Method Summary

Modifier and Type
Method
Description
`String`
`fallbackForServiceD()`
`String`
`fallbackForServiceE(String name, Integer type)`
`int`
`getCounterForInvokingServiceA()`
`int`
`getCounterForInvokingServiceB()`
`int`
`getCounterForInvokingServiceC()`
`int`
`getCounterForInvokingServiceD()`
`int`
`getCounterForInvokingServiceE()`
`String`
`serviceA()`
`String`
`serviceB()`
`String`
`serviceC(long timeToSleep)`
`String`
`serviceD()`
`String`
`serviceE(String name, Integer type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackClient

public FallbackClient()

## Method Details

### getCounterForInvokingServiceA

public int getCounterForInvokingServiceA()

### getCounterForInvokingServiceB

public int getCounterForInvokingServiceB()

### getCounterForInvokingServiceC

public int getCounterForInvokingServiceC()

### getCounterForInvokingServiceD

public int getCounterForInvokingServiceD()

### getCounterForInvokingServiceE

public int getCounterForInvokingServiceE()

### serviceA

@Retry(maxRetries=1) @Fallback(StringFallbackHandler.class) public String serviceA()

### serviceB

@Retry(maxRetries=2) @Fallback(StringFallbackHandler.class) public String serviceB()

### serviceC

@Timeout(500L) @Retry(maxRetries=1) @Fallback(StringFallbackHandler.class) public String serviceC(long timeToSleep)

### serviceD

@Retry(maxRetries=1) @Fallback(fallbackMethod="fallbackForServiceD") public String serviceD()

### fallbackForServiceD

public String fallbackForServiceD()

### serviceE

@Retry(maxRetries=1) @Fallback(fallbackMethod="fallbackForServiceE") public String serviceE(String name, Integer type)

### fallbackForServiceE

public String fallbackForServiceE(String name, Integer type)